Bug 194703 - makefs has trouble with nlink,time attributes from MANIFEST files
Summary: makefs has trouble with nlink,time attributes from MANIFEST files
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: bin (show other bugs)
Version: 10.0-RELEASE
Hardware: Any Any
: --- Affects Only Me
Assignee: Ed Maste
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-10-30 14:44 UTC by Bjoern A. Zeeb
Modified: 2019-09-09 17:22 UTC (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bjoern A. Zeeb freebsd_committer 2014-10-30 14:44:43 UTC
/tmp/makeroot.3fo7N/manifest:69: warning: nlink: unsupported keyword
/tmp/makeroot.3fo7N/manifest:69: error: time: invalid value '1412983049'
makefs: 68 error(s) and 68 warning(s) in mtree manifest


sorting out these two attributes when running mtree -c -R blink,time | mtree -C > MANIFEST makes all problems go away.
Comment 1 Enji Cooper freebsd_committer 2015-10-25 22:13:01 UTC
Bulk taking makefs bugs.
Comment 2 Ed Maste freebsd_committer 2016-06-23 13:40:32 UTC
makeroot.sh workaround for the time issue: https://reviews.freebsd.org/D6925
Comment 3 commit-hook freebsd_committer 2016-06-23 19:20:22 UTC
A commit references this bug:

Author: emaste
Date: Thu Jun 23 19:19:44 UTC 2016
New revision: 302146
URL: https://svnweb.freebsd.org/changeset/base/302146

Log:
  makeroot: zero out subsecond component of time= keywords

  They are currently not supported by makefs(1).

  PR:		194703
  Reviewed by:	brooks
  Approved by:	re (gjb)
  Sponsored by:	The FreeBSD Foundation
  Differential Revision:	https://reviews.freebsd.org/D6925

Changes:
  head/tools/tools/makeroot/makeroot.sh
Comment 4 Enji Cooper freebsd_committer 2017-11-05 20:59:16 UTC
Handing a number of makefs, mtree, and msdosfs bugs in my queue over to emaste@.
Comment 5 Ed Maste freebsd_committer 2018-05-28 20:34:40 UTC
Reset asignee - I am not currently looking at this PR.
Comment 6 commit-hook freebsd_committer 2019-03-18 19:27:01 UTC
A commit references this bug:

Author: emaste
Date: Mon Mar 18 19:26:36 UTC 2019
New revision: 345281
URL: https://svnweb.freebsd.org/changeset/base/345281

Log:
  makefs: Fix "time" mtree attribute handling

  When processing mtree(5) MANIFEST files, makefs(8) previously threw an
  error if it encountered an entry whose "time" attribute contained a
  non-zero subsecond component (e.g. time=1551620152.987220000).

  Update the handling logic to properly assign the subsecond component if
  built with nanosecond support, or silently discard it otherwise.

  Also, re-enable the time attribute for the kyua tests.

  PR:		194703
  Submitted by:	Mitchell Horne <mhorne063@gmail.com>
  Differential Revision:	https://reviews.freebsd.org/D19627

Changes:
  head/usr.sbin/makefs/mtree.c
  head/usr.sbin/makefs/tests/makefs_tests_common.sh
Comment 7 commit-hook freebsd_committer 2019-03-27 17:29:09 UTC
A commit references this bug:

Author: emaste
Date: Wed Mar 27 17:28:23 UTC 2019
New revision: 345583
URL: https://svnweb.freebsd.org/changeset/base/345583

Log:
  revert r302146: makeroot: zero out subsecond component of time= keywords

  After r345281 by mhorne subsecond components are supported.

  PR:		194703
  Sponsored by:	The FreeBSD Foundation

Changes:
  head/tools/tools/makeroot/makeroot.sh
Comment 8 commit-hook freebsd_committer 2019-09-09 17:22:56 UTC
A commit references this bug:

Author: emaste
Date: Mon Sep  9 17:22:12 UTC 2019
New revision: 352077
URL: https://svnweb.freebsd.org/changeset/base/352077

Log:
  MFC r345281: makefs: Fix "time" mtree attribute handling

  When processing mtree(5) MANIFEST files, makefs(8) previously threw an
  error if it encountered an entry whose "time" attribute contained a
  non-zero subsecond component (e.g. time=1551620152.987220000).

  Update the handling logic to properly assign the subsecond component if
  built with nanosecond support, or silently discard it otherwise.

  Also, re-enable the time attribute for the kyua tests.

  PR:		194703
  Submitted by:	mhorne

Changes:
_U  stable/12/
  stable/12/usr.sbin/makefs/mtree.c
  stable/12/usr.sbin/makefs/tests/makefs_tests_common.sh